/*
Theme Name: ken child
Theme URI: http://themeforest.net/user/artbees
Author: Oskari Pöntinen
Author URI: http://github.com/morko
Template: ken
Version: 1.0.0
Description: Child theme of The Ken for Innomentarium website.
License: GNU General Public License v2.0
License URI: http://www.gnu.org/licenses/gpl-2.0.html
*/

#mk-footer {
  overflow: hidden;
}

/* tell the container's children to float left: */
.float-my-children > * {
  float: left;
  margin-right: 10px;
  padding: 20px;
}

/* this is called a clearfix. it makes sure that the container's children floats are cleared, without using extra markup */

.clearfix {
  *zoom: 1; /* for IE */
}

.clearfix:before,
.clearfix:after {
  content: " ";
  display: table;
}

#k-main-navigation {
  color: #fff;
}

.entry-meta .cat-links {
  display: none;
}

.align-right {
  text-align: right;
}

figcaption {
  padding-top: 5px;
}

/*****************************************
 * Typography
 ****************************************/
li {
  list-style-image: url(/wp-content/uploads/2019/10/fenix-bullet-point.png);
}

h1 {
  font-size: 36px;
}
h2 {
  font-size: 30px;
}
h3 {
  font-size: 26px;
}
h4 {
  font-size: 22px;
}
h5 {
  font-size: 20px;
}
h6 {
  font-size: 18px;
}
@media only screen and (max-width: 768px) {
  h1 {
    font-size: 26px;
  }
  h2 {
    font-size: 24px;
  }
  h3 {
    font-size: 22px;
  }
  h4 {
    font-size: 20px;
  }
  h5 {
    font-size: 18px;
  }
  h6 {
    font-size: 16px;
  }
}

/*****************************************
 * Section Headers
 ****************************************/

#theme-page .inno-section-header {
  background-color: #242959;
  border-radius: 4px;
  margin-top: 60px;
  margin-bottom: 40px;
  box-shadow: -3px 3px 10px 0px rgba(0,0,0,0.5);
}

.no-top-margin {
  margin-top: 0px !important;
}


.inno-section-header .elementor-text-editor {
  background-color: #242959;
  border-radius: 4px;
  padding: 25px 20px 25px 20px;
}
.inno-section-header h1,
.inno-section-header h2,
.inno-section-header h3,
.inno-section-header h4,
.inno-section-header h5,
.inno-section-header h6 {
  color: #fff !important;
}

.inno-section-header h1 {
  margin-bottom: 5px;
}
.inno-section-header h2 {
  margin-bottom: 4px;
}
.inno-section-header h3 {
  margin-bottom: 4px;
}
.inno-section-header h4 {
  margin-bottom: 3px;
}
.inno-section-header h5 {
  margin-bottom: 2px;
}
.inno-section-header h6 {
  margin-bottom: 2px;
}

@media only screen and (max-width: 768px) {

  #theme-page .inno-section-header {
    margin-top: 30px;
    margin-bottom: 20px;
  }

  .inno-section-header .elementor-text-editor {
    padding: 10px 10px 10px 10px;
  }
  .inno-section-header h1 {
    margin-bottom: 5px;
  }
  .inno-section-header h2 {
    margin-bottom: 4px;
  }
  .inno-section-header h3 {
    margin-bottom: 4px;
  }
  .inno-section-header h4 {
    margin-bottom: 3px;
  }
  .inno-section-header h5 {
    margin-bottom: 2px;
  }
  .inno-section-header h6 {
    margin-bottom: 2px;
  }
}

/*****************************************
 * Employee cards
 ****************************************/

@media only screen and (max-width: 768px) {
  .employee-card p {
    text-align: center;
  }
}
/*****************************************
 * Buttons
 ****************************************/

.inno-button {
  font-size: 12px !important;
  font-weight: 700 !important;
  text-transform: uppercase !important;
  background-color: #242959 !important;
  color: #fff !important;
  border-radius: 5px !important;
}
.inno-button:hover {
  color: #f5c56e !important;
}

.inno-button p,
.inno-button a {
  color: #fff !important;
  font-weight: 700 !important;
}
.inno-button:hover p,
.inno-button:hover a {
  color: #f5c56e !important;
}

/*****************************************
 * Front page
 ****************************************/

.home .inno-headline div,
.home .inno-headline h3 {
  text-align: center;
}

#theme-page.home .theme-page-wrapper {
  max-width: 100%;
  margin: 0;
}
#theme-page.home .theme-content {
  padding: 0;
}

@media only screen and (max-width: 960px) {
  #theme-page.home .theme-content {
    padding: 0 !important;
  }
}

#why-fenix {
  box-shadow: -3px 3px 10px 0px rgba(0,0,0,0.5);
}

@media only screen and (max-width: 1024px) {
  #why-fenix {
    margin-left: 10px;
    margin-right: 10px;
  }
}

/*****************************************
 * Contact form
 ****************************************/

.wpforms-confirmation-container-full {
  background: #242959;
  border-radius: 5px;
  border: none;
  text-align: center;
}

.wpforms-confirmation-container-full p {
  color: #ffffff;
  text-transform: uppercase;
  font-weight: bold;
}

div.wpforms-container-full .wpforms-form input[type="text"],
div.wpforms-container-full .wpforms-form input[type="email"],
div.wpforms-container-full .wpforms-form textarea {
  border: 2px solid #242959;
  border-radius: 5px;
}

div.wpforms-container-full .wpforms-form .wpforms-title {
  font-weight: 700;
  color: #555555;
}
div.wpforms-container-full .wpforms-form .wpforms-field-label {
  color: #555555;
}

@media only screen and (max-width: 768px) {
  div.wpforms-container-full .wpforms-form .wpforms-title {
    font-size: 18px;
  }
}

@media only screen and (max-width: 600px) {
  div.wpforms-container-full .wpforms-form .wpforms-field {
    overflow-x: visible;
  }
}
.rc-anchor-light.rc-anchor-normal {
  border: 2px solid #242959;
  border-radius: 5px;
  background: #fff;
}

/*****************************************
 * News
 ****************************************/

/* disable blog comment and like links */
.blog-comments,
.mk-love-holder {
  display: none !important;
}

.news-grid {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: stretch;
  -ms-flex-align: stretch;
  align-items: stretch;
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: flex-start;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -ms-flex-flow: row wrap;
  flex-flow: row wrap;
}

.news-grid__item {
  -webkit-box-flex: 0;
  -ms-flex: 0 0 auto;
  flex: 0 0 auto;
  width: 100%;
  text-align: left;
  display: block;
  position: relative;
  -webkit-transition: background-color 0.5s ease; /* Safari prior 6.1 */
  transition: background-color 0.5s ease;
  background-color: #ffffff;
}

.news-grid__item:hover {
  background-color: rgba(36, 41, 89, 0.19);
}

@media (min-width: 640px) {
  .news-grid__item {
    width: 50%;
  }
}
@media (min-width: 1024px) {
  .news-grid__item {
    width: 33.33333333333333%;
  }
}
.news-grid__image {
  height: 16.666666666666668rem;
  background-size: cover;
  background-position: 50%;
  background-color: transparent;
}

@media (min-width: 640px) {
  .news-grid__image {
    height: 13.333333333333334rem;
  }
}

@media (min-width: 1024px) {
  .news-grid__image {
    height: 10rem;
  }
}

.news-grid__wrapper {
  position: relative;
  padding: 4rem 0 1rem;
}

.news-grid__tag {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  width: 180px;
  text-align: center;
  margin: 0 auto;
  -ms-transform: translate(0, -50%);
  -moz-transform: translate(0, -50%);
  -webkit-transform: translate(0, -50%);
  transform: translate(0, -50%);
  background: rgba(36, 41, 89, 0.93);
  color: #ffffff;
  padding: 1rem 2rem;
  letter-spacing: 0.1em;
  font-size: 0.75rem;
  font-weight: bold;
  -webkit-transition: color 0.5s ease; /* Safari prior 6.1 */
  transition: color 0.5s ease;
}

.news-grid__item:hover .news-grid__tag {
  color: #f5c56e;
}

.news-grid__category {
  text-transform: uppercase;
}
.news-grid__content {
  width: 50ch;
  max-width: 100%;
  padding: 0 2rem;
  margin: 0 auto;
}
h3.news-grid__title {
  font-size: 15px;
  text-transform: uppercase;
  font-weight: bold;
  text-align: center;
}

.blog-categories a {
  color: #555555;
}
/*****************************************
 * News archive
 ****************************************/

.news-archive__item {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -ms-flex-direction: row;
  flex-direction: row;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-transition: background-color 0.5s ease;
  -o-transition: background-color 0.5s ease;
  transition: background-color 0.5s ease;
  background-color: #ffffff;
}
.news-archive__item:hover {
  background-color: rgba(36, 41, 89, 0.19);
}
.news-archive__wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
}
.news-archive__title {
  text-transform: uppercase;
  font-weight: bold;
  font-size: 16px;
}
.news-archive__arrow {
  text-transform: uppercase;
  font-weight: bold;
  font-size: 20px;
  text-align: center;
  margin: auto 10px auto 40px;
  -webkit-transition: font-size 0.5s ease;
  -o-transition: font-size 0.5s ease;
  transition: font-size 0.5s ease;
}
.news-archive__item:hover .news-archive__arrow {
  font-size: 30px;
}

/*****************************************
 * Testimonials
 ****************************************/


/* Testimonials Page Background */
.page-id-610 .background-img {
  background-image: url("/wp-content/uploads/2019/10/IMG_9807_fiilis_vaaka.jpg");
  background-repeat: no-repeat;
  background-position: right center;
}

/* Testimonials Page Background for Finnish page*/
.page-id-617 .background-img {
  background-image: url("/wp-content/uploads/2019/10/IMG_9807_fiilis_vaaka.jpg");
  background-repeat: no-repeat;
  background-position: right center;
}

.lae-testimonials .lae-testimonial-user {
  background-color: rgba(255, 255, 255, 0.53);
  padding: 20px;
}

.lae-testimonials .lae-testimonial-user .lae-text {
  color: #333;
  padding: 0;
}

.lae-testimonials .lae-testimonial-user .lae-text .lae-author-name {
  color: #242959;
}

.lae-testimonials .lae-testimonial-text {
  color: #555;
  background: rgba(255, 255, 255, 0.73);
  border: 2px solid #242959;
  -moz-border-radius: 10px;
  -webkit-border-radius: 10px;
  border-radius: 10px;
}
.lae-testimonials .lae-testimonial-text:after {
  border-bottom: 1px solid #242959;
  border-left: 1px solid #242959;
}

/*****************************************
 * Social media icons
 ****************************************/

.zoom-social-icons-list--rounded .socicon {
  border: 3px solid #f5c56e;
  -moz-border-radius: 50%;
  -webkit-border-radius: 50%;
  border-radius: 50%;
}
/*****************************************
 * Company page
 ****************************************/

@media only screen and (max-width: 1400px) {
  #company-headline {
    background-image: url("https://innomentarium.fi/wp-content/uploads/2019/10/IMG_3850_comp_headline_responsive.jpg");
  }
}
@media only screen and (max-width: 1024px) {
  #company-headline {
    background-image: url("https://innomentarium.fi/wp-content/uploads/2019/10/IMG_3850_comp_headline_responsive2.jpg");
  }
}
#company-headline .elementor-container {
  min-height: 600px;
}
@media only screen and (max-width: 2200px) {
  #company-headline .elementor-container {
    min-height: 500px;
  }
}

@media only screen and (max-width: 1780px) {
  #company-headline .elementor-container {
    min-height: 350px;
  }
}

@media only screen and (max-width: 1500px) {
  #company-headline .elementor-container {
    min-height: 320px;
  }
}
@media only screen and (max-width: 1200px) {
  #company-headline .elementor-container {
    min-height: 260px;
  }
}
@media only screen and (max-width: 730px) {
  #company-headline .elementor-container {
    min-height: 200px;
  }
}
@media only screen and (max-width: 600px) {
  #company-headline .elementor-container {
    min-height: 150px;
  }
}
#company-headline-mobile {
  display: none;
}
#company-headline-mobile p {
  text-align: justify;
}
#company-headline__mobile-title {
  display: none;
}

@media only screen and (max-width: 500px) {
  #company-headline {
    display: none;
  }
  #company-headline-mobile {
    overflow-x: scroll;
    width: max-content;
    display: block;
  }
  #company-headline-mobile .elementor-image {
    width: max-content;
  }
  #company-headline__mobile-title {
    display: block;
  }
  #company-headline-mobile img {
    height: 250px;
  }
}

/*****************************************
 * Footer
 ****************************************/

@media only screen and (max-width: 768px) {
  #mk-footer p {
    text-align: center;
  }
}
